package com.hzya.frame.plugin.dgx.oa.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 *
 * @content 销售订单
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024-09-06 11:52
 * **/
public class SalesOrderEntity extends BaseEntity {
    private String orgCode;//组织
    private String documentType;//单据类型
    private String docNo;//单号
    private String orderBy;//客户
    private String businessDate;//日期
    private String saleDepartment;//部门
    private String seller;//业务员
    private boolean isPriceIncludeTax;//价格是否含税
    private String memo;//备注

    private String otherID;//第三方id
    private String tC;//交易币编码
    private String aC;//核币编码
    private String shipToSite;//收货位置编码
    private String billToSite;//立账位置编码
    private String bargainMode;//成交方式
    private String shippingPort;//装运港
    private String  aimPort;//目的港
    private String  isRollBack;//回滚
    private String  autoCreateSOM;//自动创建变更单
    private String  autoApproveSOM;//自动审核变更单
    private List<SalesOrderDetailsEntity> sOLineDTOList;//销售订单明细

    private String entCode;//企业编码
    private String userCode;//用户编码
    private String userPwd;//用户密码
    private String cultureName;//语种
    private String orgID;//组织ID
    private String userID;//用户ID
    private String userClientID;//用户IP
    private String isPeriodBeginSO;//是否是期初订单
    private String confirmTermCode;//立账条件

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }

    public String getDocNo() {
        return docNo;
    }

    public void setDocNo(String docNo) {
        this.docNo = docNo;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    public String getBusinessDate() {
        return businessDate;
    }

    public void setBusinessDate(String businessDate) {
        this.businessDate = businessDate;
    }

    public String getSaleDepartment() {
        return saleDepartment;
    }

    public void setSaleDepartment(String saleDepartment) {
        this.saleDepartment = saleDepartment;
    }

    public String getSeller() {
        return seller;
    }

    public void setSeller(String seller) {
        this.seller = seller;
    }

    public boolean getIsPriceIncludeTax() {
        return isPriceIncludeTax;
    }

    public void setIsPriceIncludeTax(boolean isPriceIncludeTax) {
        this.isPriceIncludeTax = isPriceIncludeTax;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getOtherID() {
        return otherID;
    }

    public void setOtherID(String otherID) {
        this.otherID = otherID;
    }

    public String gettC() {
        return tC;
    }

    public void settC(String tC) {
        this.tC = tC;
    }

    public String getaC() {
        return aC;
    }

    public void setaC(String aC) {
        this.aC = aC;
    }

    public String getShipToSite() {
        return shipToSite;
    }

    public void setShipToSite(String shipToSite) {
        this.shipToSite = shipToSite;
    }

    public String getBillToSite() {
        return billToSite;
    }

    public void setBillToSite(String billToSite) {
        this.billToSite = billToSite;
    }

    public String getBargainMode() {
        return bargainMode;
    }

    public void setBargainMode(String bargainMode) {
        this.bargainMode = bargainMode;
    }

    public String getShippingPort() {
        return shippingPort;
    }

    public void setShippingPort(String shippingPort) {
        this.shippingPort = shippingPort;
    }

    public String getAimPort() {
        return aimPort;
    }

    public void setAimPort(String aimPort) {
        this.aimPort = aimPort;
    }

    public String getIsRollBack() {
        return isRollBack;
    }

    public void setIsRollBack(String isRollBack) {
        this.isRollBack = isRollBack;
    }

    public String getAutoCreateSOM() {
        return autoCreateSOM;
    }

    public void setAutoCreateSOM(String autoCreateSOM) {
        this.autoCreateSOM = autoCreateSOM;
    }

    public String getAutoApproveSOM() {
        return autoApproveSOM;
    }

    public void setAutoApproveSOM(String autoApproveSOM) {
        this.autoApproveSOM = autoApproveSOM;
    }

    public List<SalesOrderDetailsEntity> getsOLineDTOList() {
        return sOLineDTOList;
    }

    public void setsOLineDTOList(List<SalesOrderDetailsEntity> sOLineDTOList) {
        this.sOLineDTOList = sOLineDTOList;
    }

    public String getEntCode() {
        return entCode;
    }

    public void setEntCode(String entCode) {
        this.entCode = entCode;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserPwd() {
        return userPwd;
    }

    public void setUserPwd(String userPwd) {
        this.userPwd = userPwd;
    }

    public String getCultureName() {
        return cultureName;
    }

    public void setCultureName(String cultureName) {
        this.cultureName = cultureName;
    }

    public String getOrgID() {
        return orgID;
    }

    public void setOrgID(String orgID) {
        this.orgID = orgID;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getUserClientID() {
        return userClientID;
    }

    public void setUserClientID(String userClientID) {
        this.userClientID = userClientID;
    }

    public String getIsPeriodBeginSO() {
        return isPeriodBeginSO;
    }

    public void setIsPeriodBeginSO(String isPeriodBeginSO) {
        this.isPeriodBeginSO = isPeriodBeginSO;
    }

    public String getConfirmTermCode() {
        return confirmTermCode;
    }

    public void setConfirmTermCode(String confirmTermCode) {
        this.confirmTermCode = confirmTermCode;
    }
}
