package com.hzya.frame.plugin.dgx.u9c.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @Description 德广信U9C插件service
 * @Author xiangerlin
 * @Date 2024/9/18 15:24
 **/
public interface IU9CPluginService {

    /**
     * u9c预付单发起OA流程
     * @param requestJson
     * @return
     */
    JsonResultEntity prepaymentStartFlow(JSONObject requestJson);

    /**
     * u9c请购单发起OA流程
     * @param requestJson
     * @return
     */
    JsonResultEntity requisitionStartFlow(JSONObject requestJson);
}
